.partsPage * {
  font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
    Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
  color: black;
  margin: 0;
  padding: 0;
}

.partsPage {
  display: flex;
  flex-direction: column;
  gap: 16px;
  margin-bottom: 2em;
  width: 100%;
  max-width: 1450px;
  box-sizing: border-box;
}

.partPageTitle {
  font-weight: lighter;
  margin: 0px 0px 0px 0px;
  font-family: Roboto;
  font-size: 16px;
  font-weight: 300;
  line-height: 33px;
  text-align: left;
}

.partsSection {
  background: radial-gradient(99.2% 125% at 50% 125%,
      rgba(228, 241, 255, 1) 0%,
      rgba(228, 241, 255, 1) 85%,
      rgba(45, 142, 255, 0.00) 100%);
}

.titleNavigationWrapper {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 16px;
  padding: 1.3em 1em 0.5em 2em;
  align-items: center;
}

.accordionTitle {
  font-size: clamp(14px, 1vw, 16px);
  font-weight: 600;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.accordionNumber {
  height: 52px;
  width: 42px;
  min-width: 42px;
  background-color: #0b2442;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 20px;
}

.accordionNumber p {
  color: white;
}

.accordionHeader {
  height: 52px;
  display: flex;
  flex-direction: row;
  border: 1px solid var(--Grey-300, #E0E0E0);
  gap: 16px;
  align-items: center;
  padding: 0 1.5em;
  background: linear-gradient(90.33deg, rgba(240, 247, 255, 0.5), rgba(45, 142, 255, 0.5));
}

.accordionDown {
  margin-right: 16px;
  margin-left: auto;
}

.accordionUp {
  transform: rotate(180deg);
  margin-right: 16px;
  margin-left: auto;
}

.accordionHeaderDisabled {
  height: 52px;
  display: flex;
  flex-direction: row;
  gap: 16px;
  align-items: center;
  padding: 0px 1.5em;
  background-color: #e0e0e0;
  background: none;
  border: 1px solid var(--Grey-300, #E0E0E0);
  background: var(--Grey-200, #FAFAFA);
}

.accordionNumberDisabled {
  height: 52px;
  width: 42px;
  min-width: 42px;
  background: var(--Grey-400, #4A4F55);
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 20px;
}

.accordionTitleDisabled {
  font-size: clamp(14px, 1vw, 16px);
  font-weight: 600;
  white-space: nowrap;
  color: #4a4f55;
}

.accordionNumberDisabled p {
  color: white;
}

.nonActiveAccordionHeader {
  /* padding-left: 24px; */
  background: #F0F7FF;
}

.accordionLink:link {
  text-decoration: none;
}

.chip {
  background-color: rgba(255, 255, 255, 1);
  border-radius: 16px;
  padding: 4px 12px;
  text-overflow: ellipsis;
  white-space: nowrap;
  max-width: 100px;
  overflow: hidden;
  text-overflow: ellipsis;
  color: #000;
  font-family: Roboto;
  font-size: 10px;
  font-style: normal;
  font-weight: 600;
  line-height: 16px;
  border-radius: 16px;
  border: 1px solid var(--Grey-300, #E0E0E0);
  background: #FFF;
}

.accordionContent {
  display: flex;
  flex-flow: row wrap;
  padding: 0 1em 1em 1em;
}

@media(min-width: 870px){
    .accordionContent {
        flex-flow: row;
    }
}

.columnLeft {
  display: flex;
  flex-direction: column;
  width: 100%;
  gap: 16px;
  overflow: hidden;
}

.columnLeft div {
  min-width: 255px;
  box-sizing: border-box;
}

.searchInputContainer {
  margin-top: 10px;
  padding-left: 10px;
  padding-right: 10px;
  padding-bottom: 10px;
  background: #FFF;
  box-shadow: 0px 1px 1px 0px rgba(0, 0, 0, 0.25) inset;
  position: relative;
  display: flex;
  align-items: center;
}

.searchInputContainer input::placeholder {
  color:  #808080   ;
  font-family: Roboto;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 26px;
}

.searchImage {
  position: absolute;
  right: 18px;
  filter: invert(1);
  height: 15px;
}

.searchBrandByLetterWrapper {
  background-color: rgba(255, 255, 255, 1);
  display: flex;
  flex-direction: column;
  gap: 16px;
  padding: 16px 16px 58px 16px;
}

.searchBrandByLetterInput {
  width: 100%;
  height: 52px;
  border-radius: 0;
  font-size: 16px;
  padding-left: 8px;
  padding-right: 30px;
  margin-top: 10px;
  background: #FFF;
  box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25) inset;
  border: 0px;
}

.searchBrandByLetterButton a {
  text-transform: uppercase;
}

.searchBrandByLetterInfo {
  font-size: 12px;
  align-self: flex-start;
}

.searchBrandByLetterButtonWrapper {
  display: flex;
  flex-flow: row wrap;
  gap: 4px 13px;
}

.searchBrandByLetterButton {
  background-color: inherit;
  border: 1px solid #19549a;
  color: #19549a;
  font-size: 20px;
  height: 44px;
  width: 32px;
}

.searchBrandByLetterButton a {
  text-decoration: none;
  color: #19549a;
}

.searchBrandByLetterButton a:hover {
  text-decoration: none;
  color: #19549a;
}

.seoContent {
  padding: 16px;
}

.seoContent h3 {
  font-size: 16px;
  margin-bottom: 16px;
}

.seoContent img {
  max-width: 100%;
  height: auto;
}

.seoText {
  font-size: 14px;
  max-width: 100%;
}

.seoText img {
  max-width: 100%;
  height: auto;
  padding: 0.5em;
  box-sizing: border-box;
}

.brandList {
  display: flex;
  flex-direction: column;
  gap: 14px;
  max-width: 700px;
  box-sizing: border-box;
}

.brandListLetter {
  font-size: 26px;
  text-transform: uppercase;
  padding-left: 10px;
}

.innerBrandList {
  display: flex;
  flex-flow: row wrap;
  gap: 16px;
  align-items: space-between;
  width: 100%;
  justify-content: center;
}

.partsCategoryListItem {
  min-height: 91px;
  height: 100%;
  box-shadow: 0px 1px 1px 0px rgba(0, 0, 0, 0.25);
  background: #FFFFFF;
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  border-radius: 6px;
  border: 1px solid #E0E0E0;
  box-sizing: border-box;
}

.partsCategoryItemContent {
  width: 100%;
  display: flex;
  align-items: center;
  flex-direction: row;
  gap: 8px;
  cursor: pointer;
}

.partListItemImage {
  margin-left: 4px;
  max-width: 90px;
  max-height: 65px;
}

.partCategoryTitle {
  width: 100%;
  display: flex;
}

.partListItemTitle {
  color: #19549A;
  font-size: 26px;
  font-style: normal;
  font-weight: 400;
  line-height: 1em;
}

.partListItemArrow {
  padding-left: 16px;
}

.linkCaret {
  font-size: 20px;
}

.partListItemArrowOpen {
  padding-right: 16px;
  padding-left: 0;
  transform: rotate(180deg);
}

.chosenPartGroupClicked {
  padding-top: 18px;
  padding-bottom: 19px;
  padding-left: 32px;
  border-bottom: 1px solid #E0E0E0;
  margin-bottom: 10px;
}

.chosenPartGroupClicked p {
  cursor: pointer;
}

.brandListItem {
  width: 148px;
  min-height: 65px;
  box-shadow: 0px 1px 1px 0px rgba(0, 0, 0, 0.25);
  background: #FFFFFF;
  display: flex;
  flex-direction: row;
  gap: 24px;
  justify-content: center;
  align-items: center;
  border-radius: 6px;
  border: 1px solid #E0E0E0;
  box-sizing: border-box;
  /*padding-left: 21px;*/
}

.brandListItem:hover {
  border-color: #69b356;
}

.brandListItem:hover .brandListItemTitle {
  color: #457b37;
}

.brandListItem:hover .brandListItemTitleLastWord {
  color: #457b37;
}

.brandListItem:link {
  text-decoration: none;
}

.brandListItemImage {
  max-width: 70px;
  max-height: 70px;
  object-fit: contain;
  display: none;
}

.brandListItemContent {
  display: flex;
  align-items: center;
  flex-direction: column;   
}

.brandListItemTitleLastWord {
  white-space: nowrap;
  color: #19549A;
}


.brandListItemTitle {
  overflow-wrap: break-word;
  color: #19549A;
  width: 100%;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 1em;
  text-align: center;
  
}

.brandListItemArrow {
  margin-left: 10px;
}

.brandListItemDescription {
  font-size: clamp(12px, 1vw, 16px);
  color: #4a4f55;
}

.searchModel {
  background-color: white;
  padding: 1em;
  width: 100%;
  box-sizing: border-box;
}

.searchModel input {
  height: 32px;
  border: 1px solid rgba(224, 224, 224, 1);
  padding-left: 8px;
  width: 100%;
  box-sizing: border-box;
  font-size: 12px;
}

.seoImage {
  width: 154px;
  height: 154px;
  margin-bottom: 16px;
}

.modelList {
    background-color: white;
    list-style: none;
    width: 100%;
    padding: 1em;
    box-sizing: border-box;
    display: grid;
    grid-template-columns: 1fr; /* mobile */
    gap: 16px;
}


@media (min-width: 640px) {
    .modelList {
        grid-template-columns: repeat(2, 1fr);
        row-gap: 40px;
        .modelGroupSection {

            ul{
                height: 100%;
            }
        }
    }
}

/* Desktop */
@media (min-width: 1024px) {
    .modelList {
        grid-template-columns: repeat(3, 1fr);
        row-gap: 40px;

        .modelGroupSection {

            ul {
                height: 100%;
            }
        }
    }
}
.modelListItem {
  font-size: 16px;
  margin-bottom: 16px;
}

.modelListItem:hover a:link {
  color: #457b37;
}

.modelListItem a:link {
  text-decoration: none;
  color: #19549a;
}

.modelListItem a:visited {
  color: #19549a;
}

.modelListItem:hover a:visited {
  color: #457b37;
}

.bordered-list {
  border-radius: 0px 0px 6px 6px;
  border-right: 1px solid #E0E0E0;
  border-bottom: 1px solid #E0E0E0;
  border-left: 1px solid #E0E0E0;
  background: #FAFAFA;
  box-shadow: 0px 1px 1px 0px rgba(0, 0, 0, 0.25) inset;
  width: 315px;
}

.partCategoryListItemWrapper {
  width: 315px;
}

.partGroupContainer {
  position: absolute;
  z-index: 1;
}


.partSearchContainer {
    flex-wrap: wrap;
    gap: 26px;
    padding-top: 16px;
    width: 100%;
}

.partsGroupListL1 {
  display: flex;
  flex-wrap: wrap;
  gap: 26px;
  padding-top: 16px;
  width: 100%;
  justify-content: space-evenly;
}

.partsGroupListItemL1 {
  margin-bottom: 20px;
  padding-left: 29px;
}

.partsGroupListItemL1:first-child {
  padding-top: 20px;
}

.partsGroupListItemL1:last-child {
  padding-bottom: 10px;
}

.partsGroupListItemL1 p {
  cursor: pointer;
  color: #19549A;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}

.partsGroupListItemL1 p span {
  cursor: pointer;
  color: #19549A;
}

.partsGroupListItemL2 {
  /*padding: 0.5em 0;*/
  padding-left: 32px;
  box-sizing: border-box;
  color: #19549a;
}

    .partsGroupListItemL2 a.partsGroupListItemL2--unavailable, .partListFilteredItem.partListFilteredItemUnavailable {
        color: gray;
    }

.partsGroupListItemL2 a:hover {
    color: #69b356;
    text-decoration: none;
}

.partsGroupListItemL2 a:hover span {
  color: #69b356;
  text-decoration: none;
}

    .partsGroupListItemL2 a, a.partListFilteredItem  {
        color: #19549a;
        font-size: 14px;
        font-weight: bold;
    }

.partsGroupListItemL2 a span {
  color: #19549a;
}

.partsGroupListItemL2:last-child {
  padding-bottom: 20px;
}

.partGroupListItemL1Header {
  background-color: inherit;
  border: none;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  font-size: 16px;
  font-weight: 700;
  text-transform: uppercase;
  border-bottom: 0.5px solid #e0e0e0;
  border-top: 0.5px solid #e0e0e0;
  padding: 1em;
  box-sizing: border-box;
}

.choosePartContentWrapper {
  display: flex;
  flex-direction: column;
  gap: 16px;
  padding: 0 1em 1em 1em;
}

.searchFilters {
  background-color: white;
  box-sizing: border-box;
  padding: 1em 1em 2em 1em;
  display: flex;
  flex-direction: column;
  gap: 1em;
  max-width: 1032px;
  min-width: 261px;
  width: 100%;
}

.searchResultCard {
    position: relative;
    background-color: white;
    box-sizing: border-box;
    padding: 1em;
    border: 2px solid rgba(224, 224, 224, 1);
    border-radius: 6px;
    display: grid;
    /*grid-template-columns: 40% 1fr;*/
    grid-template-areas:
        "searchTitle searchTitle"
        "searchImage searchImage"
        "searchPris ."
        "searchKjop ."
        "searchForesporsel searchForesporsel"
        "searchDetails searchDetails";
    gap: 4px;
    width: 100%;
    max-width: 1032px;
    margin-bottom: 26px;
}

.searchResultCardDT {
  font-size: 14px;
  display: inline;
}

.searchResultCardDD {
    font-size: 14px;
    font-weight: 700;
    display: inline;
}


.searchResultCardDT.partno {
    color: red;
}

.searchResultCardDD.partno {
    color: red;
}



#sellerInfo {
    display: flex;
    gap: 20px;
    grid-row: -1;
    grid-column: 1/-1;
    flex-wrap: wrap;

}

 #sellerInfo a {
      color: var(--Blue-400, #19549A);
 }






.searchResultSelger {
  grid-area: Selger;
}

.searchResultOrgNr {
  grid-area: OrgNr;
}

.searchResultLokasjon {
  grid-area: Lokasjon;
}

.searchResultTlf {
  grid-area: tlf;
}

.searchResultTitle {
    grid-area: searchTitle;
    color: var(--Blue-400, #19549A);
}

.searchResultTitle a {
    
    color: var(--Blue-400, #19549A);
}


.searchResultImage {
  grid-area: searchImage;
  min-height: 100px;
  min-width: 200px;
  height: fit-content;
  padding-bottom: 20px;
  max-width: 350px;
}

    .searchResultImage img.slide-image, .searchResultImage img.single-image {
        max-width: 270px;
    }

.searchResultPris {
  grid-area: searchPris;
  display: flex;
  gap: 8px;
}
.searchResultKjop {
  grid-area: searchKjop;
}

.searchResultActionButtons {
    display: flex;
    gap: 20px;

}

.kjopButton {
    background-color: rgba(242, 153, 74, 1);
    color: black;
    border: none;
    padding: 4px 8px;
}


.searchResultActionButtons {
    grid-area: searchForesporsel;
}

.searchResultForesporsel {
    background-color: #69b356;
    font-size: 16px;
    padding: 0.5em;
    box-sizing: border-box;
    max-width: 150px;
    
}

.filterContainer {
  padding-top: 5px;
  min-height: 52px;
  margin-top: 0.5em;
  background: #FFF;
  padding-left: 1em;
  padding-right: 1em;
  box-shadow: 0px 1px 1px 0px rgba(0, 0, 0, 0.25) inset;
}

.filterInput {
  width: 100%;
  display: flex;
  align-items: center;
  padding: 5px;
  border-radius: 4px;
  border: 1px solid #E0E0E0;
  background: #FAFAFA;
  cursor: pointer;
}

.partDetailsFilterInput {
  width: 100%;
  height: 52px;
  border-radius: 0 !important;
  font-size: 16px;
  padding-left: 8px;
  background: #ffffff;
  box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25) inset;
  border: none;
  outline: none;
  padding: 5px;
  appearance: none;
  color: #000;
  font-family: Roboto;
  font-size: 16px;
  font-style: normal;
  font-weight: 300;
  line-height: 26px;
}

.partDetailsFilterInput fieldset {
  border-width: 0 !important;
}

.filterUnit {
  padding-left: 10px;
  padding-right: 10px;
  margin-left: 5px;
  color: #000;
  font-family: Roboto;
  font-size: 22px;
  font-style: normal;
  font-weight: 300;
  line-height: 36px;
}

.filterDropdownIcon {
  padding-left: 15px;
  padding-right: 15px;
}


.partDetailsFilterText {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.partDetailsFilterIcon {
  margin-right: 10px;
}

.partDetailsPictureFilterContainer {
  margin-top: 1em;
  margin-bottom: 1em;
  width: 100%;
  display: flex;
  align-items: center;
  padding-top: 15px;
  padding-bottom: 15px;
  padding-left: 5px;
  padding-right: 5px;
  border-radius: 4px;
  border: 1px solid #E0E0E0;
  background: #FAFAFA;
}

.partDetailsPictureFilterContainer input[type="checkbox"] {
  margin-left: 15px;
  margin-right: 30px;
  width: 36px;
  height: 36px;
  border: 1px solid rgba(0, 0, 0, 0.05);
  background: #FFF;
  box-shadow: 0px 2px 3px 0px rgba(0, 0, 0, 0.25) inset;
}

.partDetailsPictureFilterContainer label {
  color: #000;
  font-family: Roboto;
  font-size: 22px;
  font-style: normal;
}

.partDetailsFilterActivateButton {
  display: flex;
  width: 147px;
  height: 39px;
  padding: 14px 8px;
  justify-content: center;
  align-items: center;
  gap: 8px;
  flex-shrink: 0;
  border-radius: 6px;
  border: 1px solid #19549A;
  color: #19549A;
  background-color: white;
  font-size: 16px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
}

.activateFiltersWrapper {
  display: flex;
  justify-content: center;
  width: 100%;
}



.partDetailsSortWrapper {
  max-width: 50%;
  overflow: hidden;
  display: flex;
  align-items: center;
}

.partDetailsSortWrapper p {
  margin-right: 1em;
  color: #000;
  font-family: Roboto;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 54px;
}

.partDetailsSearchResultsWrapper {
  background: none;
}

.partDetailsSearchResults {
  display: "flex";
  flex-flow: "row wrap";
  gap: "1em";
  container-type: inline-size;
}

.partDetailsSearchResults--loading {
   opacity: 0.5;                 /* Faded look */
  pointer-events: none;         /* Disable interaction */
  filter: blur(1px) grayscale(0.5); /* Optional visual effects */
  transition: all 0.3s ease;
}

.partDetailsMoreInfo {
  background-color: #19549A;
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  height: 3em;
  border-bottom-left-radius: 6px;
  border-bottom-right-radius: 6px;
  cursor: pointer;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-left: 42px;
  padding-right: 36px;
  margin-top: 1em;
}

.partDetailsMoreInfo p {
  color: white;
}

.partDetailsMoreInfo img {
  filter: brightness(0) invert(1);
  width: 13px;
}

.partDetailsSearchResultMoreInfo {
  grid-column-start: 1;
  grid-column-end: 3;
}

.partDetailsSearchResultMoreInfoLarge {
    /*grid-column-start: 1;
    grid-column-end: 5;
    grid-row-start: 6;
    grid-row-end: 6;
    container-type: inline-size;*/
    grid-area: searchDetails;
}



.partDetailsSearchResultsExpanded {
  padding-bottom: 5em;
}

.partDetailsExpandedShowMoreCaret {
  transform: rotate(180deg);
}

.carInfoClose {
  border-top: 1px solid #E0E0E0;
  display: flex;
  justify-content: center;
  padding-top: 0.8em;
  padding-bottom: 0.8em;
}

.partcounter {
      position: sticky;
    top: 120px;
    background-color: #ffffffa6;
    border: 1px solid black;
    width: 140gpx;
    
    left: 80%;
    z-index: 100;
    padding: 5px;
}

@container(min-width: 1000px) {
    .searchResultCard {
        grid-template-areas:
            "searchTitle searchTitle"
            "searchImage searchDetails"
            "searchPris searchDetails"
            "searchForesporsel searchKjop";
    }


    #sellerInfo {
        display: flex;
        grid-area: searchSeller;
        flex-wrap: wrap;
        margin-top: 50px;
    }

    .searchResultImage {
        max-width: 250px;
    }
}
 .searchFilters label {
    font-weight: bold;
  }

/*.textSearchActive {
   
    background-color: white;
}*/

/*.partsPage:has(.textSearchActive) :is(.titleNavigationWrapper, .accordionLink, .accordionHeader) {
  display: none;
}*/

#partSearchAccordionContent {
    position: relative;
}

@media (min-width: 700px) {
  .chip {
    max-width: 500px;
  }

 



  #searchResultImage {
    display: block;
    max-width: 100%;
  }

  #searchResultImage img {
    display: block;
    max-width: 190px;
  }

  .brandList {
    max-width: 700px;
    font-size: 16px;
  }
}

@media (min-width: 870px) {
  .titleNavigationWrapper {
    gap: 16px;
    padding-top: 54px;
    padding-bottom: 20px;
    padding-left: 80px;
    padding-right: 25px;
  }

  .partPageTitle {
    font-size: 28px;
  }

  .accordionHeader {
    height: 72px;
    padding-left: 58px;
  }

  .accordionNumber {
    height: 72px;
    width: 58px;
    font-size: 36px;
  }

  .accordionTitle {
    font-size: 22px;
  }

  .accordionHeaderDisabled {
    height: 72px;
    padding-left: 58px;
  }

  .accordionNumberDisabled {
    height: 72px;
    width: 58px;
    font-size: 36px;
  }

  .accordionTitleDisabled {
    font-size: 22px;
  }

  #partSearchAccordionContent {
    margin-right: 29px;
    padding-bottom: 36px;
    position:relative;
  }

   

  .brandListLetter {
    font-size: 36px;
  }

  .innerBrandList {
    gap: 40px;
    margin-bottom: 20px;
    margin-left: 20px;
  }

  .brandListItem {
    width: 116px;
    min-height: 108px;
  }

  .brandListItemTitle {
    font-size: 16px;
  }

  .accordionContent {
    margin-top: 2em;
    margin-left: 58px;
    margin-right: 58px;
    padding: 0;
  }

  .partCategoryListItemWrapper {
    width: 290px;
  }

  .bordered-list {
    width: 290px;
  }

  .partsCategoryItemContent {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;
    cursor: pointer;
    flex-direction: column;
    padding-left: 15px;
    padding-right: 15px;
  }

  .partCategoryTitle {
    margin-left: 30px;
    width: 100%;
    justify-content: flex-start;
    display: flex;
    margin-bottom: 37px;
  }

  .partListItemTitle {
    overflow-wrap: break-word;
    max-width: 270px;
    color: #19549A;
    font-size: 22px;
    font-style: normal;
    font-weight: 400;
    line-height: 33px;
  }

  .partListItemImage {
    margin-left: 0;
    max-width: 200px;
    max-height: 120px;
    transform: translateY(-10px);
  }

  .filterContainer {
    width: 261px;
    padding-top: 5px;
    min-height: 52px;
    margin-top: 0.5em;
    background: none;
    padding-left: 0;
    padding-right: 0;
    box-shadow: none;
  }

  .partDetailsSearchResultsWrapper {
    width: 100%;
    margin-top: 1em;
    padding: 1em 1em 1em 1em;
    background: white;
    box-shadow: 0px 1px 1px 0px rgba(0, 0, 0, 0.25) inset;
  }

 

  .partDetailsFilterActivateButton {
    display: flex;
    width: 261px;
    height: 72px;
    padding: 14px 8px;
    justify-content: center;
    align-items: center;
    gap: 8px;
    flex-shrink: 0;
    border-radius: 6px;
    border: 1px solid var(--Blue-400, #19549A);
    color: var(--Blue-400, #19549A);
    font-family: Roboto;
    font-size: 22px;
    font-style: normal;
    font-weight: 400;
    line-height: 36px;
    text-transform: uppercase;
    background: none;
  }

  .searchInputContainer {
    margin-top: 0;
  }

    .partSearchContainer {
        gap: 44px;
        padding-top: 2.5em;
        max-width: calc(100% - 320px);
        background-color: white;
        box-shadow: 0px 1px 0px 0px rgba(0, 0, 0, 0.25) inset;
    }

  .partsGroupListL1 {
    gap: 44px;
    /*padding-top: 2.5em;*/
    /*max-width: calc(100% - 320px);*/
 /*   background-color: white;
    box-shadow: 0px 1px 0px 0px rgba(0, 0, 0, 0.25) inset;*/
  }

  .partsCategoryListItem {
    height: 180px;
  }

  .partsCategoryListItem:hover {
    border: 2px solid #69B356;
    box-shadow: 0px 1px 1px 0px rgba(0, 0, 0, 0.25);
  }

  .partsCategoryListItem:hover h2 {
    color: #457B37;
  }

  .columnLeft {
    max-width: 290px;
  }

  #partSearchColumnLeft {
    max-width: 290px;
  }

  .modelList {
    max-width: calc(100% - 290px);
    box-shadow: 0px 1px 0px 0px rgba(0, 0, 0, 0.25) inset;
  }

  .brandList {
    max-width: calc(100% - 290px);
    padding-left: 58px;
  }

  .brandListItemContent  {
    /*padding-left: 60px;*/
  }

  .brandListItemImage {
        width: 50px;
        height: 50px;
    /*max-height: 90px;*/
    display: unset;
  }

    .brandListItemImageWrapper{
        width: 50px;
        height: 50px;
        margin-bottom: 2px;
    }

    .partDetailsFilterText {
        display: none;
    }

  .partcounter {
   display: none;
}

  .searchFilters {
    max-width: 261px;
    background: transparent;
    border: none;
    padding: 1em 0 2em 0;
  }

  .choosePartContentWrapper {
    flex-direction: row;
    padding-left: 58px;
    padding-right: 58px;
    gap: 29px;
  }

  .partDetailsHitsAndSortingContainer {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding-bottom: 1.5em;
  }

  .brandSearchInputWrapper {
    width: 290px;
  }

}

@media (min-width: 900px) {
  .carInfoContent {
    grid-template-columns: 1fr 1fr;
    gap: 1em;
  }
}

@media (max-width: 869px) {
  .searchBrandByLetterWrapper {
    display: none;
  }

  .seoContent {
    display: none;
  }
}
@container(min-width: 1100px) {

    .searchResultCard {
        grid-template-columns: 250px 1fr 1fr 1fr;
        grid-template-areas:
            "searchImage searchTitle searchTitle searchTitle"
            "searchImage searchDetails searchDetails searchDetails"
            "searchPris searchDetails searchDetails searchDetails "
            "searchForesporsel searchDetails searchDetails searchDetails"
            "searchKjop searchDetails searchDetails searchDetails";
    }

    .searchResultImage {

        max-width: 500px;
    }


 
}
@media (min-width: 1100px) {
  


  .partDetailsSearchResultMoreInfo {
    display: none;
  }

  .partDetailsSearchResultMoreInfoLarge {
    display: block;
  }
}

@media (min-width: 1440px) {
  .searchFilters {
    max-width: 300px;
  }

  .choosePartContentWrapper {
    flex-direction: row;
  }

  .carInfoContent {
    grid-template-columns: 1fr 1fr 1fr;
  }
}





.searchResultsList {
    padding-left: 20px;
}

.slider-container {
    padding: 20px;
}

.slick-prev:before,
.slick-next:before {
    color: black!important;
}


.modal-overlay {
    position: fixed; /* Prevents it from being positioned relative to the page */
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    max-width: 90vw; /* Prevents it from overflowing on small screens */
    max-height: 80vh; /* Prevents it from being too tall */
    padding: 20px;
    border: none;
    border-radius: 8px;
    background: white;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.3);
}

.modal-content-img {
    position: relative;
    max-width: 90vw;
    max-height: 80vh; /* Fix for Safari */
    display: flex;
    align-items: center;
    justify-content: center;
}


.modal-image {
    width: auto;
    
    max-height: 100%;
    border-radius: 5px;
    box-shadow: 0px 4px 10px rgba(255, 255, 255, 0.2);
}

/* Modal fade-in animation */
@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}


ul.searchResultsListLetterHits {
    column-width: 300px;
    column-count: 3;
    padding: 20px;
    background-color: #add8e62e;
    border-radius: 2px;
    border-color: #9494942e;
    border-width: 1px;
    border-style: solid;
}

.doublebottom {
    margin-bottom: 1em;
}
}

.showAllPartsWrapper {
    margin-left: 20px;
}

.showAllPartsCheckbox {
    width: 20px;
    height: 20px;
    vertical-align: text-top;
    margin-right: 5px!important;
}

.showAllPartsLabel{
    font-size: 20px;
}

.modelGroupSection {
    margin-bottom: 20px;
    h4 {
        font-size: 22px;
        color: #19549A;
        background-color: white;
        border: 1px solid grey;
        border-bottom: none;
        padding-left: 29px;
    }

    ul{
        border: 1px solid grey;
        background-color: #fafafa;  
        padding-left: 29px;
        padding-top: 12px;
    }
    
}